### Class

# Xdp InputCaptureZone

#### Description [src]

    final class Xdp.InputCaptureZone : GObject.Object
    {
      /* No available fields */
    }

A representation of a zone that supports input capture.

The `XdpInputCaptureZone` object is used to represent a zone on the user-visible desktop that may be used to set up `XdpInputCapturePointerBarrier` objects. In most cases, the set of `XdpInputCaptureZone` objects represent the available monitors but the exact implementation is up to the implementation.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Xdp.InputCaptureZone:height

The height of this zone in logical pixels.

###### Xdp.InputCaptureZone:is-valid

A boolean indicating whether this zone is currently valid. Zones are invalidated by the Portal’s ZonesChanged signal, see `XdpInputCaptureSession::zones-changed`.

###### Xdp.InputCaptureZone:width

The width of this zone in logical pixels.

###### Xdp.InputCaptureZone:x

The x offset of this zone in logical pixels.

###### Xdp.InputCaptureZone:y

The x offset of this zone in logical pixels.

###### Xdp.InputCaptureZone:zone-set

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct XdpInputCaptureZoneClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.